Skip to main content
Resource Center/Resource Pool/Snapshot Group Operations
PUTSnapshot Group OperationsSince 3.6.0SynchronousAuth Required

UpdateVolumeSnapshotGroup

UpdateVolumeSnapshotGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatevolumesnapshotgroupObjectRequired

    updatevolumesnapshotgroup request body object.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVolumeSnapshotGroupInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • snapshotCountIntegerRequired

      The number of snapshots in the snapshot group.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • volumeSnapshotRefsListRequired

      See volumeSnapshotRefs.

      • volumeSnapshotUuidStringRequired

        The volume snapshot UUID.

      • volumeSnapshotGroupUuidStringRequired

        The snapshot group UUID.

      • deviceIdintRequired

        The device ID of the volume when the snapshot is taken.

      • snapshotDeletedbooleanRequired

        Whether the snapshot is deleted.

      • volumeUuidStringRequired

        The volume UUID.

      • volumeNameStringRequired

        The volume name.

      • volumeTypeStringRequired

        The volume type.

      • volumeSnapshotInstallPathStringRequired

        The path to install the snapshot.

      • volumeSnapshotNameStringRequired

        The snapshot name.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

PUT/zstack/v1/volume-snapshots/group/{uuid}/actions

/zstack/v1/volume-snapshots/group/{uuid}/actions

Operation ID

UpdateVolumeSnapshotGroup

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/volume-snapshots/group/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatevolumesnapshotgroup":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "a261086918fe3c04be683430f15920a2", "snapshotCount": 1.0, "name": "group", "vmInstanceUuid": "98ac921100b43981b493071b6430bb2b", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "volumeSnapshotRefs": [ { "volumeSnapshotUuid": "7ac8675cd8a9389ca343a2a7d49c47d7", "volumeSnapshotGroupUuid": "a261086918fe3c04be683430f15920a2", "deviceId": 0.0, "snapshotDeleted": false, "volumeUuid": "6fb0e4a0c3d6315bbb5c08a1a33bc231", "volumeName": "ROOT-volume", "volumeType": "Root", "volumeSnapshotInstallPath": "/Cloud_ps/to/path/snap.qcow2", "volumeSnapshotName": "group-ROOT-volume", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } }

Change History

This API has no change history records yet.

View all change history